/**
 * <b>Meowth</b> is a specific type of Pokemon.  It is a small cat that loves
 * coins and other shiny objects.
 * 
 * @author David Mailhot
 */

public class Meowth extends Pokemon {
	
	/** Meowth's hp count per level.  Multiply this number by Meowth's
	 * level to get its current hp. */
	private static final int HP_PER_LEVEL = 5;
	
	/**
	 * @effects Constructs a new Meowth pokemon.
	 * @param level of the new Meowth.
	 * @throws IllegalArgumentException if level < 0;
	 */
	public Meowth(int level) {
		if (level <= 0) {
			throw new IllegalArgumentException("specified level must be positive");
		}
		this.level = level;
	}
	
	/**
	 * @return this Meowth's current hp.
	 */
	@Override
	public int getHp() {
		return HP_PER_LEVEL * level;
	}
	
	/**
	 * @return a string representation of this Meowth.
	 */
	public String toString() {
		return "Meowth [lvl: "+level+", hp: " + getHp() +"]";
	}

}
