/**
 * <b>Pikachu</b> is a specific type of Pokemon.  It is a cute mouse with
 * powerful electric attacks.
 * 
 * @author David Mailhot
 */
public class Pikachu extends Pokemon {
	
	/** Pikachu's hp count per level.  Multiply this number by Pikachu's
	 * level to get its current hp. */
	private static final int HP_PER_LEVEL = 4;

	/**
	 * @effects Constructs a new Pikachu pokemon.
	 * @param level of the new Pikachu.
	 * @throws IllegalArgumentException if level < 0;
	 */
	public Pikachu(int level) {
		if (level <= 0) {
			throw new IllegalArgumentException("specified level must be positive");
		}
		this.level = level;
	}
	
	/**
	 * @return this Pikachu's current hp.
	 */
	@Override
	public int getHp() {
		return HP_PER_LEVEL * level;
	}
	
	/**
	 * @return a string representation of this Pikachu.
	 */
	public String toString() {
		return "Pikachu [lvl: "+level+", hp: " + getHp() +"]";
	}

}
