/**
 * Runnable main method featuring Pokemon class objects.
 * 
 * @author David Mailhot
 *
 */
public class PokemonMain {

	/**
	 * Main runnable to create Pokemon and battle them together.
	 */
	public static void main(String[] args) {
		Pokemon pikachu = new Pikachu(10);
		Pokemon meowth = new Meowth(8);
		
		System.out.println("Two paths diverged in a wood, and " + pikachu +
				" used Thunderbolt on " + meowth + "!");
		battleItOut(pikachu, meowth);
	}
	
	/**
	 * Simulates a battle between the specified Pokemon and prints the results.
	 * @param p1 the first Pokemon
	 * @param p2 the second Pokemon
	 */
	public static void battleItOut(Pokemon p1, Pokemon p2) {
		int result = p1.battle(p2);
		
		System.out.print("The dust clears... ");
		if (result > 0) {
			System.out.println("and " + p1 + " defeated " + p2 + "!");
		} else if (result < 0) {
			System.out.println("and " + p2 + " defeated " + p1 + "!");
		} else {
			System.out.println("and neither challenger emerges victorious.");
		}
	}
}
